org.eclnt.jsfserver.elements.componentnodes

## Class ROWPAGEBEANINNERPARTNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.ROWPAGEBEANINNERPARTNode

- All Implemented Interfaces:
    java.io.Serializable

      public class ROWPAGEBEANINNERPARTNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROWPAGEBEANINNERPARTNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ROWPAGEBEANINNERPARTNode` | `bindComment(IDynamicContentBindingObject value)`
    `ROWPAGEBEANINNERPARTNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `ROWPAGEBEANINNERPARTNode` | `bindInnerpartpage(IDynamicContentBindingObject value)`
    `ROWPAGEBEANINNERPARTNode` | `bindRendered(IDynamicContentBindingObject value)`
    `ROWPAGEBEANINNERPARTNode` | `setAttributemacro(java.lang.String value)`
    `ROWPAGEBEANINNERPARTNode` | `setComment(java.lang.String value)`
    `ROWPAGEBEANINNERPARTNode` | `setConfiginfo(java.lang.String value)`
    `ROWPAGEBEANINNERPARTNode` | `setId(java.lang.String value)`
    `ROWPAGEBEANINNERPARTNode` | `setInnerpartpage(java.lang.String value)`
    `ROWPAGEBEANINNERPARTNode` | `setReference(java.lang.String value)`
    `ROWPAGEBEANINNERPARTNode` | `setRendered(boolean value)`
    `ROWPAGEBEANINNERPARTNode` | `setRendered(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ROWPAGEBEANINNERPARTNode

          public ROWPAGEBEANINNERPARTNode()

  - ### Method Detail

    - #### setId

          public ROWPAGEBEANINNERPARTNode setId(java.lang.String value)

    - #### setAttributemacro

          public ROWPAGEBEANINNERPARTNode setAttributemacro(java.lang.String value)

    - #### setComment

          public ROWPAGEBEANINNERPARTNode setComment(java.lang.String value)

    - #### bindComment

          public ROWPAGEBEANINNERPARTNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public ROWPAGEBEANINNERPARTNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public ROWPAGEBEANINNERPARTNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setInnerpartpage

          public ROWPAGEBEANINNERPARTNode setInnerpartpage(java.lang.String value)

    - #### bindInnerpartpage

          public ROWPAGEBEANINNERPARTNode bindInnerpartpage(IDynamicContentBindingObject value)

    - #### setReference

          public ROWPAGEBEANINNERPARTNode setReference(java.lang.String value)

    - #### setRendered

          public ROWPAGEBEANINNERPARTNode setRendered(java.lang.String value)

    - #### bindRendered

          public ROWPAGEBEANINNERPARTNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public ROWPAGEBEANINNERPARTNode setRendered(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.